import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/cache.tsx
import createCacheImport from "@emotion/cache";
import { createContext, canUseDOM } from "@chakra-ui/vue-utils";
function createCache(...args) {
  return typeof createCacheImport === "function" ? createCacheImport(...args) : createCacheImport.default(...args) ? createCacheImport.default(...args) : createCacheImport(...args);
}
__name(createCache, "createCache");
var [EmotionCacheProvider, useEmotionCache, EmotionCacheInjectionSymbol] = createContext({
  strict: false,
  name: "EmotionCacheContext"
});
var defaultCache = createCache({
  key: "chakra"
});
var __unusafe_useEmotionCache = useEmotionCache;
var withEmotionCache = /* @__PURE__ */ __name(function withEmotionCache2(fn) {
  return (p) => {
    const cache = useEmotionCache(defaultCache);
    return fn(cache);
  };
}, "withEmotionCache");
if (canUseDOM()) {
  withEmotionCache = /* @__PURE__ */ __name(function withEmotionCache3(fn) {
    return () => {
      const cache = useEmotionCache(defaultCache);
      if (!cache) {
        const cache2 = createCache({
          key: "chakra"
        });
        EmotionCacheProvider(cache2);
        return fn(cache2);
      } else {
        return fn(cache);
      }
    };
  }, "withEmotionCache");
}

export {
  createCache,
  EmotionCacheProvider,
  EmotionCacheInjectionSymbol,
  defaultCache,
  __unusafe_useEmotionCache,
  withEmotionCache
};
